Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor Class Reference

Visits the sort clause into a hash representation of Elasticsearch sort. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor:

## Public Member Functions
| canVisit (SortClause $sortClause)
| Check if visitor is applicable to current sort clause. More...
| visit (SortClause $sortClause)
| Map field value to a proper Elasticsearch representation. More...

## Protected Member Functions
| getDirection (SortClause $sortClause)
| Get Elasticsearch sort direction for sort clause. More...

## Detailed Description

Visits the sort clause into a hash representation of Elasticsearch sort.

Deprecated:

Definition at line 16 of file SortClauseVisitor.php.

## Member Function Documentation

## ◆ canVisit()

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor::canVisit | ( | SortClause | $sortClause | ) |
| abstract

Check if visitor is applicable to current sort clause.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  bool

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionName, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionIdentifier, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\Field, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\DatePublished, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\DateModified, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentName, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentId, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Aggregate, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\SectionName, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\SectionIdentifier, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Visibility, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Priority, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Path, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\IsMainLocation, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Id, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Depth, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\DatePublished, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\DateModified, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\ContentName, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\ContentId, and eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Aggregate.

## ◆ getDirection()

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor::getDirection | ( | SortClause | $sortClause | ) |
| protected

Get Elasticsearch sort direction for sort clause.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  string

Definition at line 43 of file SortClauseVisitor.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\ContentId\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\ContentName\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\DateModified\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\DatePublished\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Depth\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Id\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\IsMainLocation\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Path\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Priority\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Visibility\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\SectionIdentifier\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\SectionName\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentId\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentName\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\DateModified\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\DatePublished\visit(), eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionIdentifier\visit(), and eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionName\visit().

## ◆ visit()

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor::visit | ( | SortClause | $sortClause | ) |
| abstract

Map field value to a proper Elasticsearch representation.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  mixed Hash representation of Elasticsearch sort

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionName, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionIdentifier, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\DatePublished, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\DateModified, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentName, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentId, eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Aggregate, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\SectionName, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\SectionIdentifier, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Visibility, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Priority, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Path, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\IsMainLocation, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Id, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Location\Depth, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\DatePublished, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\DateModified, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\ContentName, eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\ContentId, and eZ\Publish\Core\Search\Elasticsearch\Content\Location\SortClauseVisitor\Aggregate.

The documentation for this class was generated from the following file:

- SortClauseVisitor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.